org.apache.commons.lang3.arch

## Enum Processor.Type

- java.lang.Object
- - java.lang.Enum<Processor.Type>
  - - org.apache.commons.lang3.arch.Processor.Type

- All Implemented Interfaces:
    Serializable, Comparable<Processor.Type>
  Enclosing class:
    Processor

      public static enum Processor.Type
      extends Enum<Processor.Type>

  The `Processor.Type` enum defines types of a microprocessor. The following types are defined:
  - AArch64
  - x86
  - ia64
  - PPC
  - Unknown

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AARCH_64` ARM 64-bit.
    `IA_64` Intel Itanium 64-bit architecture.
    `PPC` Apple–IBM–Motorola PowerPC architecture.
    `UNKNOWN` Unknown architecture.
    `X86` Intel x86 series of instruction set architectures.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getLabel()` Gets the label suitable for display.
    `static Processor.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Processor.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AARCH_64

          public static final Processor.Type AARCH_64

      ARM 64-bit.
      Since:
        3.13.0

    - #### X86

          public static final Processor.Type X86

      Intel x86 series of instruction set architectures.

    - #### IA_64

          public static final Processor.Type IA_64

      Intel Itanium 64-bit architecture.

    - #### PPC

          public static final Processor.Type PPC

      Apple–IBM–Motorola PowerPC architecture.

    - #### UNKNOWN

          public static final Processor.Type UNKNOWN

      Unknown architecture.

  - ### Method Detail

    - #### values

          public static Processor.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Processor.Type c : Processor.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Processor.Type valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getLabel

          public String getLabel()

      Gets the label suitable for display.
      Returns:
        the label.
      Since:
        3.13.0

Copyright © 2001–2023 The Apache Software Foundation. All rights reserved.